
QGIS Application - Bug report #10590

qgis-server - wrong legend when mapunit and categorized

2014-06-14 01:12 PM - aperi2007 -

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18995

Description

Hi,

I set a legend using categorized rendering, and map-unit.

I set a huge dimension 200px for map-unit to see it visible at a low scale.

The legend is well created on qgis desktop, instead in qgis-server is really wrong.

This is the result on qgis-server:

http://www502.regione.toscana.it/geoscopio_qg/cgi-bin/qgis_mapserv?map=continuum_geologico_rt.qgs&#38;SERVICE=WMS&#38;r

quest=GetLegendGraphic&#38;version=1.1.1&#38;format=image/png&#38;sld_version=1.1.0&#38;width=23&#38;height=15&#38;layer=frane100k&#38;style=default&#38;legend_options=fontName:Verdana;fontSize:10

frane100k&#38;style=default&#38;legend_options=fontName:Verdana;fontSize:10

I attach also the qml used for this result.

The qgis is from the master, 2 day old.

History

#1 - 2014-06-14 01:16 PM - aperi2007 -

- File sample.zip added

forgot the qml.

#2 - 2014-10-24 01:19 AM - Martin Dobias

- Resolution set to fixed/implemented

- Status changed from Open to Closed

I believe this is now fixed in master after reworking of qgis server legend with new QgsLegendRenderer. Please reopen if not.

Files

sample.zip 2.23 KB 2014-06-14 aperi2007 -
